routeEnhancers:
  ProductDetail:
    type: Extbase
    extension: DrbeckmannProducts
    plugin: ProductDetail
    routes:
      - routePath: '/{product}'
        _controller: 'Product::detail'
        _arguments:
          product: product
    defaultController: 'Product::detail'
    requirements:
      product: '^[a-zA-Z0-9].*$'
    aspects:
      product:
        type: PersistedAliasMapper
        tableName: 'tx_drbeckmannproducts_domain_model_product'
        routeValuePrefix: '/'
        routeFieldName: 'path_segment'
  ProductCategory:
    type: Extbase
    extension: DrbeckmannProducts
    plugin: CategoryOverview
    limitToPages:
      - 201
    routes:
      - routePath: '/{category}'
        _controller: 'Product::categoryOverview'
        _arguments:
          product: category
    defaultController: 'Product::categoryOverview'
    requirements:
      product: '^[a-zA-Z0-9].*$'
    aspects:
      product:
        type: PersistedAliasMapper
        tableName: 'sys_category'
        routeValuePrefix: '/'
        routeFieldName: 'drbeckmann_products_path_segment'
